Skip navigation
siva murugan
Currently Being Moderated

error downloading the update. Error# 16824

Aug 25, 2010 10:34 PM

Hi,

I am getting an error numbered 16824 every time I execute my application with an old version and when I click Download now. I get an error number 16824. I have checked the app file, the update file on server and everywhere the version is correct. I looked over net it says there could be a version mismatch.As I see there is no version mismatch.Plz help..

 

Thanks in advance.

 
Replies
  • Currently Being Moderated
    Aug 26, 2010 12:04 AM   in reply to siva murugan

    Hi Siva,

     

    What are the namespaces of the 1st(the application to be updated) and the 2nd application(the app to be updated to)?

     
    |
    Mark as:
  • Currently Being Moderated
    Aug 26, 2010 2:03 AM   in reply to siva murugan

    Hi Siva,

     

    Your problem could most probably be one of the following:

    1) The version of 2nd application is not higher than the version of the first application.

    Could you provide the versions of both the apps?

    2) You are specifying the version of the 1st application instead of the 2nd application in the update.xml file on the server.

    3) You are not using the same certificate to package both the apps.In this case, you won't be able to update from first app to second app manually also.

     

    In case, your problem is not one of these, could you tell the version of SDK you are using to package the apps, as well as the version of the AIR runtime installed on your machine?

     

    Which OS are you on?

     
    |
    Mark as:
  • Chris Campbell
    9,456 posts
    May 4, 2010
    Currently Being Moderated
    Aug 26, 2010 2:06 PM   in reply to siva murugan

    Moved discussion to the Desktop Development forum

     
    |
    Mark as:
  • Currently Being Moderated
    Aug 27, 2010 1:47 AM   in reply to siva murugan

    Tell us your new app.xml from your new .air file and the parameters from the updater method, you must have the same version on your updater method and in your new .air file.

     
    |
    Mark as:
  • Currently Being Moderated
    Aug 5, 2011 3:23 AM   in reply to Neobox75

    Hi Neobox, so one question, if i'm developing in air 2.7 sdk, in the update descriptor i should have <update xmlns="http://ns.adobe.com/air/framework/update/description/2.7"> ? cause i tried this and nothing happens, the update ui doesen't appear at all,  if i put 1.0 i get There was an error downloading the update. Error# 16824

     
    |
    Mark as:

More Like This

  • Retrieving data ...

Bookmarked By (0)

Answers + Points = Status

  • 10 points awarded for Correct Answers
  • 5 points awarded for Helpful Answers
  • 10,000+ points
  • 1,001-10,000 points
  • 501-1,000 points
  • 5-500 points